> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usebouncer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify domain

> Verifies single domain.

You can use Bouncer’s Domain Verification API to check domain information.

It can be usefull to verify is domain has valid MX records and if it
behaves as a "catch all" domain.

One credit will be charged.

**Rate Limiting**

Domain Verification API is limited to 1000 requests per minute by
default.


## OpenAPI

````yaml get /v1.1/domain
openapi: 3.0.0
info:
  title: Bouncer
  description: >-
    Bouncer Email Verification API lets you validate email address and verify
    its deliverability, in the way you want.


    It’s easy to integrate, powerful, robust, secure, ultrafast and affordable.


    Let Bouncer handle verification and validation of your email addresses, with
    Real-Time (synchronous), Batch (asynchronous), and a hybrid of those two
    Batch Synchronous end-points.


    If at any time you would need extra support from our side, you can reach us
    by email at :
    [support@usebouncer.com](https://mailto:support@usebouncer.com)
  version: 1.0.0
servers:
  - url: https://api.usebouncer.com
security:
  - apikeyAuth: []
tags:
  - name: domain
    description: >-
      You can use Bouncer’s Domain Verification API to check domain information.


      It can be usefull to verify is domain has valid MX records and if it
      behaves as a "catch all" domain.
paths:
  /v1.1/domain:
    get:
      tags:
        - domain
      summary: Verify domain
      description: Verifies single domain.
      operationId: verifyDomain
      parameters:
        - name: domain
          in: query
          required: true
          schema:
            type: string
          example: usebouncer.com
      responses:
        '200':
          description: OK
          headers:
            Content-Type:
              schema:
                type: string
                example: application/json
          content:
            application/json:
              schema:
                type: object
              example:
                domain:
                  name: usebouncer.com
                  acceptAll: 'no'
                  disposable: 'no'
                  free: 'no'
                dns:
                  type: MX
                  record: aspmx.l.google.com.
                provider: google.com
                toxic: unknown
        '402':
          description: Payment Required
          headers:
            Content-Type:
              schema:
                type: string
                example: application/json
          content:
            application/json:
              schema:
                type: object
              example:
                status: '402'
                error: Payment Required
                message: 0 credits left
        '429':
          description: Too Many Requests
          headers:
            Content-Type:
              schema:
                type: string
                example: application/json
          content:
            application/json:
              schema:
                type: object
              example:
                status: 429
                error: Too Many Requests
                message: too many requests
components:
  securitySchemes:
    apikeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````